Provider Analytics
Read persisted DEV.to provider observations
GET
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthsubjectType?stringValue in
"account""content"providerSubjectId?stringLength
1 <= lengthpostbotEntityId?stringLength
1 <= lengthlimit?integerRange
1 <= value <= 500Response for status 200
application/json- response
contractVersion*integerRange
1 <= valueprojectId*stringLength
1 <= lengthprovider*stringLength
1 <= lengthobservations*array<>limit*integerRange
1 <= value <= 500hasMore*booleancurl -X GET 'https://postbot.example/api/projects/string/analytics/provider/devto'Example Response
{
"contractVersion": 1,
"projectId": "string",
"provider": "string",
"observations": [
{
"id": "string",
"projectId": "string",
"provider": "string",
"subjectType": "account",
"providerSubjectId": "string",
"providerSubjectLabel": "string",
"providerContentRevisionId": "string",
"postbotEntityType": "channel",
"postbotEntityId": "string",
"metricName": "string",
"value": 0,
"unit": "string",
"aggregation": "string",
"reportingPeriodStart": 0,
"reportingPeriodEnd": 0,
"observedAt": 0,
"fetchedAt": 0,
"availability": "measured",
"freshness": "fresh",
"provenance": "string"
}
],
"limit": 1,
"hasMore": true
}